Bug 71225 - EDITING: AREAS function input error.
Summary: EDITING: AREAS function input error.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Function-Wizard
  Show dependency treegraph
 
Reported: 2013-11-04 16:39 UTC by John Smith
Modified: 2020-07-24 03:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An ODT document, illustrating with screenshots, the situation described. (33.12 KB, application/vnd.oasis.opendocument.text)
2013-11-04 16:39 UTC, John Smith
Details
Screenshot wizard (25.31 KB, image/png)
2013-11-05 14:53 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-11-04 16:39:24 UTC
Created attachment 88622 [details]
An ODT document, illustrating with screenshots, the situation described.

Problem description: 
When inputting ranges into the reference input parameter box by drag and select,any prior entries are messed up.
Steps to reproduce:
1. Open an instance of Calc and open the Function Wizard.
2. Double-click the AREAS function and then select a range.
3. Enter a valid separator and click and drag to select another range.

Current behavior:
Clicking and dragging to select a range once one range has been selected causes the previous selection(s) to mess up.
Expected behavior:
That selections by click and drag would correctly add to those already made.

The explanatory text in the Function Wizard indicates it is optional to have multiple ranges selected. Should multiple not be the default if you are counting areas?
              
Operating System: Windows XP
Version: 4.1.3.2 rc
Comment 1 m.a.riosv 2013-11-05 00:55:30 UTC
Hi John,
there is needed to use separator between range, usually the semicolon ";", but maybe in your locale is the comma.

Selecting a range, enter semicolon, select a new range, works for me.
Comment 2 John Smith 2013-11-05 11:20:20 UTC
(In reply to comment #1)
> Hi John,
> there is needed to use separator between range, usually the semicolon ";",
> but maybe in your locale is the comma.
> 
> Selecting a range, enter semicolon, select a new range, works for me.

Hi
Yes, I have tried using the semicolon, the comma, and the tilde. You will see from Note 1 of the attached document that this was done. Whatever separator was used, the result was the same.
I use a default installation of Calc with no customization and the locale is US-English. As stated, the problem is with click-and-drag to select a range after the first range is selected.
Comment 3 John Smith 2013-11-05 12:41:17 UTC
I've just confirmed the same results (the error)using LibO ver 4.0.5.2 using Windows 7.
Comment 4 John Smith 2013-11-05 12:43:22 UTC
(In reply to comment #3)
> I've just confirmed the same results (the error)using LibO ver 4.0.5.2 using
> Windows 7.

I should have added that the locale for this was set to UK-English
Comment 5 m.a.riosv 2013-11-05 14:53:32 UTC
Created attachment 88702 [details]
Screenshot wizard

Semicolon is accepted as separator but it is not converted in tilde "~" (help mention this), so the function gives an error as result.
I think this is the bug, entering directly the tilde "~" between ranges, works as expected. (In windows ~ = Alt+0126)
Comment 6 QA Administrators 2015-04-19 03:22:03 UTC Comment hidden (obsolete)
Comment 7 Eike Rathke 2016-06-10 15:06:49 UTC
(In reply to m.a.riosv from comment #5)
> Semicolon is accepted as separator but it is not converted in tilde "~"
> (help mention this), so the function gives an error as result.
> I think this is the bug, entering directly the tilde "~" between ranges,
> works as expected. (In windows ~ = Alt+0126)

That's not a bug. The parameter separator (';' or ',' or whatever) is exactly that, it separates parameters. AREAS takes only one parameter though, hence one has to use the reference union / list operator '~'. Either that or for convenience for those accustomed to Excel behavior enclose a parameter separated list in additional parentheses, e.g. AREAS((range1,range2,range3)) which then is converted to AREAS((range1~range2~range3)). This is also mentioned in the help.

The bug here is that when selecting areas once having entered a separator or any operator, already existing input field content should not be overwritten (as it is not selected at that stage anymore) but the new selection appended to the input at the cursor position instead. This is not specific to the AREAS function, e.g. range1+range2 could be a valid argument for many functions (using operator '+' with two position dependent implicit intersections for example).
Comment 8 QA Administrators 2018-07-24 02:37:52 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2020-07-24 03:46:25 UTC
Dear John Smith,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug